package io.hmit.service;

import io.hmit.common.service.BaseService;
import io.hmit.common.utils.Result;
import io.hmit.dto.LoginDTO;
import io.hmit.entity.UserEntity;

import java.util.Map;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 */
public interface UserService extends BaseService<UserEntity> {

    UserEntity getByMobile(String mobile);

    UserEntity getUserByUserId(Long userId);

    UserEntity queryByIdnum(String idnum);

    /**
     * 用户登录
     *
     * @param dto 登录表单
     * @return 返回登录信息
     */
    Map<String, Object> login(LoginDTO dto);

    /**
     * <h1>此方法对全部 手机号及身份证号 进行加密</h1>
     * 请勿执行此代码
     */
    @Deprecated
    Result<Object> encryptOneTime();

}
